public inbox for cluster-cvs@sourceware.org
help / color / mirror / Atom feed
* cluster: master - init: stop daemons before cman
@ 2009-03-02  8:41 Fabio M. Di Nitto
  0 siblings, 0 replies; only message in thread
From: Fabio M. Di Nitto @ 2009-03-02  8:41 UTC (permalink / raw)
  To: cluster-cvs-relay

Gitweb:        http://git.fedorahosted.org/git/cluster.git?p=cluster.git;a=commitdiff;h=8271eab8deaf4bbc118f9cf4b4c2fe8511372869
Commit:        8271eab8deaf4bbc118f9cf4b4c2fe8511372869
Parent:        5ff28e4a8eb1857e0d708f2dbd805a3fc4197512
Author:        Fabio M. Di Nitto <fdinitto@redhat.com>
AuthorDate:    Mon Mar 2 09:25:36 2009 +0100
Committer:     Fabio M. Di Nitto <fdinitto@redhat.com>
CommitterDate: Mon Mar 2 09:40:43 2009 +0100

init: stop daemons before cman

commit b263da25536c90e6ca654a0be6e64481fe31eba2 did the right thing
at that time, but it should have been updated in time with the evolution
of the rest of the stack.

At stop/shutdown time, fence_tool/fenced will now refuse to stop if
there is an active mount and therefor the init script will not continue
as it used to do before.

As a consequence, with a clean shutdown operation, all daemons will now
release the resources and not leak ipc resources.

Signed-off-by: Fabio M. Di Nitto <fdinitto@redhat.com>
---
 cman/init.d/cman.in |   13 ++++++++++---
 1 files changed, 10 insertions(+), 3 deletions(-)

diff --git a/cman/init.d/cman.in b/cman/init.d/cman.in
index 3aa214a..584e02b 100644
--- a/cman/init.d/cman.in
+++ b/cman/init.d/cman.in
@@ -630,6 +630,16 @@ stop()
 	fi
     fi
 
+    echo -n "   Stopping daemons... "
+    stop_daemons
+    if [ $? -eq 0 ]
+    then
+	echo "done"
+    else
+	echo "failed"
+	return 1
+    fi
+
     echo -n "   Stopping cman... "
     if [ $1 ]; then
 	stop_cman $1
@@ -654,9 +664,6 @@ stop()
 	return 1
     fi
 
-#   stop_daemons
-#   [ $? -ne 0 ] && return 1
-
     echo -n "   Unmounting configfs... "
     stop_configfs
     if [ $? -eq 0 ]


^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2009-03-02  8:41 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2009-03-02  8:41 cluster: master - init: stop daemons before cman Fabio M. Di Nitto

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).